#
# This file is part of openCARP
# (see https://www.openCARP.org).
#
# The openCARP project licenses this file to you under the 
# Apache License, Version 2.0 (the "License"); 
# you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#

import sys
from carputils.settings.settings import SettingsModule

# Replace this module with the Settings instance
# This hack is 'officially' supported, as outlined in this message by Gudio van
# Rossum, the creator of Python:
#       https://mail.python.org/pipermail/python-ideas/2012-May/014969.html
sys.modules[__name__] = SettingsModule()
